> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Member



## OpenAPI

````yaml firework-v2-openapi post /firework/v2/organizations/{organization_id}/members
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/organizations/{organization_id}/members:
    post:
      tags:
        - organizations
      operationId: >-
        post_organization_members_api_/organizations/<int:organization_id>/members
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationMemberData'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/post_organization_members_api__organizations__int_organization_id__members_200_response
          description: Success
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Organization not found
components:
  schemas:
    OrganizationMemberData:
      properties:
        name:
          type: string
        surname:
          type: string
        email:
          type: string
        organization_member_permissions:
          properties: {}
          type: object
        user_permissions:
          properties: {}
          type: object
        memberships:
          items:
            $ref: '#/components/schemas/UserTenantMembership'
          type: array
        send_welcome_email:
          default: true
          type: boolean
      required:
        - email
        - name
        - organization_member_permissions
        - surname
      type: object
    post_organization_members_api__organizations__int_organization_id__members_200_response:
      properties:
        member:
          $ref: '#/components/schemas/OrganizationMemberWithMetadata'
      type: object
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
    UserTenantMembership:
      properties:
        tenant_id:
          type: integer
        is_readonly:
          type: boolean
        role:
          enum:
            - viewer
            - editor
            - admin
          example: viewer
          type: string
      required:
        - tenant_id
      type: object
    OrganizationMemberWithMetadata:
      properties:
        user:
          $ref: '#/components/schemas/OrganizationMember'
        tenant_count:
          type: integer
      type: object
    OrganizationMember:
      properties:
        id:
          type: integer
        name:
          type: string
        surname:
          type: string
        email:
          type: string
        organization_member_permissions:
          $ref: '#/components/schemas/OrganizationMemberPermission'
        is_disabled:
          type: boolean
        registered_at:
          format: date-time
          type: string
        urn:
          description: The uniform resource name of the member.
          type: string
      type: object
    OrganizationMemberPermission:
      properties:
        '*':
          additionalProperties:
            type: boolean
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````